Attribute VB_Name = "ModelRescaler1"

'--------------------------------------------------------------------05/12/2004
' ModelRescaler.swp - Copyright 2003 Leonard Kikstra
'------------------------------------------------------------------------------
' This macro will dimensionally rescale a SolidWorks part model by traversing
' all features and dimensions in the part model and multiplying/dividing a user
' defined value to each dimensions.  This macro checks for linked dimensions to
' avoid changing them multiple times.  Changes are made according to the data
' in the form.  To undo changes, rescale by same value in opposite direction.
'------------------------------------------------------------------------------
' Predefine common objects and variables used in this module
'------------------------------------------------------------------------------
Global swApp As Object             ' SolidWorks application
Global Document As Object          ' Active document
Global Const swDocNONE = 0
Global Const swDocPart = 1
Global Const swDocASSEMBLY = 2
Global Const swDocDRAWING = 3
Global Const swDocSDM = 4

'------------------------------------------------------------------------------
' Start this macro here
'------------------------------------------------------------------------------
Sub Main()
  Set swApp = CreateObject("SldWorks.Application")  ' Attach to SWX
  Set Document = swApp.ActiveDoc                    ' Grab active doc
  If Not Document Is Nothing Then                   ' Is doc loaded
    If Document.GetType = swDocPart Then
      FormModelRescaler.Show
    Else
      MsgBox "Document is not a SolidWorks part."   ' Nothing - Warn
    End If
  Else                                              ' Check doc loaded
    MsgBox "No document loaded."                    ' Nothing - Warn
  End If                                            ' Check doc loaded
End Sub

